Package org.eclipse.graphiti.ui.internal.util.clipboard

# Class UriTransferData

java.lang.Object
org.eclipse.graphiti.ui.internal.util.clipboard.UriTransferData

public final class UriTransferData extends Object
Data class used by `UriTransfer` to store a list of `URI` strings and additional lookup metadata.

## Constructor Summary

Constructors
Constructor
Description
`UriTransferData(List<String> uriStrings)`
Creates `UriTransferData`.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`List<String>`
`getUriStrings()`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UriTransferData

public UriTransferData(List<String> uriStrings)
Creates `UriTransferData`.

Parameters:
  `uriStrings` -

## Method Details

### getUriStrings

public List<String> getUriStrings()

Returns:
  the uriStrings

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`